Subject: [Cfrg] RFC Draft for Secure Crypto Config (Submission support and feedback request)

From: Kai Mindermann <[email-masked]>
Date: Tue, 1 Sep 2020 10:35:55 +0000

Hi,

me and a master's student (Lisa Teis) are working on a proposed standard to solve some problems around cryptography usage.

I'll cite the Secure Crypto Config draft abstract for you:

Choosing secure cryptography algorithms and their corresponding parameters is difficult. Also, current cryptography APIs cannot change their default configuration which renders them inherently insecure. The Secure Crypto Config provides a method that allows cryptography libraries to change the default cryptography algorithms over time and at the same time stay compatible with previous cryptography operations. This is achieved by combining three things standardized by the Secure Crypto Config: (1) A process that is repeated every two years, where a new set of default configurations for standardized cryptography primitives is published in a specific format. (2) A Secure Crypto Config Interface that describes a common API to use cryptography primitives in software (3) using COSE to derive the parameters from output of cryptography primitives, otherwise future changes of the default configuration would change existing applications behavior.

Our current draft can be found here: https://securecryptoconfig.github.io/secureCryptoConfig/draft-kaimindermann-securecryptoconfig.html and accordingly the repository (including the issue tracker to track feedback) can be found also on GitHub: https://github.com/secureCryptoConfig/secureCryptoConfig

We'd like to submit a version "-01" to the IETF datatracker to work with you on this standard, yet I'm unsure which process to follow (is it a independent submission or not, etc). I tried to use the automatic submission with Travis based on the template project (https://github.com/martinthomson/i-d-template) yet it did not work.

Please give us your feedback and how you would suggest to move forward to get this into the right standardization process. It's still early work and a lot of things are not decided or open, but that's why we want to involve more people to contribute.

Mit freundlichen Grüßen / Best regards
Kai Mindermann

--
Kai Mindermann
Senior Consultant
M +49 1512 1054730

[email-masked]<mailto:[email-masked]>
www.ic-consult.com<https://www.ic-consult.com/>

iC Consult Gesellschaft für Systemintegration und Kommunikation mbH
Standort: Zettachring 8a | 70567 Stuttgart | Germany
Verwaltung: Huyssenallee 99-103 | 45128 Essen | Germany
Geschäftsführer: Dr. Andreas Neumann
HRB 116170 Amtsgericht München